#.List.Backwards


_next
m
v

#.List.Item


Append
m

(Value)v
Prepend
m

(Value)v
Value
p
v

Index
r
i

IsFirst
r
b

IsLast
r
b

IsValid
r
b

#AvlTree

C
Clear
m


Exist
m
b
(Key)s
_free
m


_get
m
v
(Key)s
_new
m


_next
m
v

_put
m

(Value)v(Key)s
Balance
r
i

Count
r
i

Height
r
i

Key
r
s

#Circular

C
Clear
m


Peek
m
v

Read
m
v

Reset
m


Resize
m

(Size)i
Write
m

(Value)v
_free
m


_new
m

(Size)i[(Overwrite)b]
Overwrite
p
b

Reader
p
i

Size
p
i

Writer
p
i

IsEmpty
r
b

IsFull
r
b

#Deque

C
Clear
m


PeekBack
m
v

PeekFront
m
v

PopBack
m
v

PopFront
m
v

PushBack
m

(Value)v
PushFront
m

(Value)v
_free
m


_new
m


IsEmpty
r
b

Size
r
i

#List

C
Append
m

(Value)v
Clear
m


FindFirst
m

(Value)v
FindLast
m

(Value)v
FindNext
m

(Value)v
FindPrev
m

(Value)v
FindPrevious
m

(Value)v
MoveFirst
m


MoveLast
m


MoveNext
m


MovePrev
m


MovePrevious
m


MoveTo
m

(Index)i
Prepend
m

(Value)v
Take
m
v
[(Index)i]
_free
m


_get
m
v
(Index)i
_new
m


_next
m
v

_put
m

(Value)v(Index)i
AutoNormalize
p
b

Current
p
.List.Item

Index
p
i

Value
p
v

Backwards
r
.List.Backwards

Count
r
i

#PrioQueue

C
Clear
m


Deq
m
v

Dequeue
m
v

Enq
m

(Value)v(Prio)i
Enqueue
m

(Value)v(Prio)i
Peek
m
v

_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Queue

C
Clear
m


Deq
m
v

Dequeue
m
v

Enq
m

(Value)v
Enqueue
m

(Value)v
Peek
m
v

_free
m


_new
m


IsEmpty
r
b

Size
r
i

#Stack

C
Clear
m


Peek
m
v

Pop
m
v

Push
m

(Value)v
_free
m


_new
m


IsEmpty
r
b

Size
r
i

